Package org.apache.felix.eventadmin.impl.tasks

## Class AsyncDeliverTasks

- java.lang.Object
- - org.apache.felix.eventadmin.impl.tasks.AsyncDeliverTasks

    public class AsyncDeliverTasks
    extends Object

This class does the actual work of the asynchronous event dispatch.

Author:
  Felix Project Team

### Constructor Summary

Constructors
`AsyncDeliverTasks​(DefaultThreadPool pool, SyncDeliverTasks deliverTask)` The constructor of the class that will use the asynchronous.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute​(Collection<EventHandlerProxy> tasks, org.osgi.service.event.Event event)` This does not block an unrelated thread used to send a synchronous event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncDeliverTasks

    public AsyncDeliverTasks​(DefaultThreadPool pool,
                             SyncDeliverTasks deliverTask)

The constructor of the class that will use the asynchronous.

Parameters:
  `pool` - The thread pool used to spin-off new asynchronous event dispatching threads in case of timeout or that the asynchronous event dispatching thread is used to send a synchronous event
  `deliverTask` - The deliver tasks for dispatching the event.

### Method Detail

#### execute

    public void execute​(Collection<EventHandlerProxy> tasks,
                        org.osgi.service.event.Event event)

This does not block an unrelated thread used to send a synchronous event.

Parameters:
  `tasks` - The event handler dispatch tasks to execute
  `event` - The event